# Paragraph Locator


## Introduction

Welcome to the help page for the Paragraph Locator module! This module is designed to help Drupal administrators and content managers efficiently manage paragraph types and their usage within the site. Below, you'll find detailed information on how to use the various features of this module.

The primary use case for this module is:

- Content Management: Easily manage and organize content on your Drupal site by efficiently locating and identifying different types of paragraph entities.
- Site Maintenance: Streamline site maintenance tasks by quickly identifying where paragraph types are being used and their associated parent entities.
- Database Optimization: Improve database performance and reduce storage space by utilizing the module's deletion feature to remove unnecessary paragraph types and their associated data.
- Enhanced User Experience: Ensure a smooth and intuitive content editing experience for site administrators by providing clear insights into the usage and references of paragraph entities.


## Table of contents

- Requirements
- Installation
- Configuration
- Maintainers


## Requirements

This module requires the following modules:

- [Paragraphs](https://www.drupal.org/project/paragraphs)


## Installation

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.


## Configuration
- Enable the module from the Modules admin page "Extend" - /admin/modules
- You can find the link to Paragraph Locator dashboard under - /admin/config/content/


## Maintainers

Current maintainers for Drupal 10:

- Diwakar Sah - [Diwakar07](https://www.drupal.org/u/Diwakar07)
- Deepak Pandey - [deepak5423](https://www.drupal.org/u/deepak5423)
