(function ($, Drupal, window, document, drupalSettings) {
  Drupal.behaviors.paragraph_locator_checkbox = {
    attach: function (context) {
      function ConfirmPopup(body, popupTitle, selectedItemsArray) {
        var content = body;
        var route = drupalSettings.paragraph_locator.route;
        confirmationDialog = Drupal.dialog(content, {
          dialogClass: 'confirm-dialog',
          resizable: true,
          closeOnEscape: false,
          width: 600,
          title: popupTitle,
          buttons: [
            {
              text: Drupal.t('Confirm'),
              class: 'btn btn-primary',
              click: function () {
                $.ajax({
                  url: route,
                  type: 'POST',
                  data: {
                    data: selectedItemsArray
                  },
                  dataType: 'json',
                  success: function (data) {
                    if (data.status === 'success') {
                      window.location.reload(true);
                    }
                    else {
                      window.location.reload(true);
                    }
                  },
                  error: function () {
                    console.log('An unexpected error occurred. Please try again later.');
                  }
                });
              }
            },
            {
              text: Drupal.t('Close'),
              class: 'btn btn-secondary',
              click: function () {
                $(this).dialog('close');
                $('.ui-widget-overlay').hide();
              }
            }
          ],
        });
        confirmationDialog.showModal();
      }

      // Toggle the Delete button on initial checkbox selection.
      function toggleButtons() {
        var checkedItemsCount = $('.paragraph-locator-checkbox:checked').length;
        if (checkedItemsCount === 0) {
          $('#paragraph-locator-checkbox-delete').attr('disabled', true).hide();
          $('.feed-icon').css("pointer-events", 'auto').show();
        } else {
          $('#paragraph-locator-checkbox-delete').attr('disabled', false).show();
          $('.feed-icon').css("pointer-events", 'none').hide();
        }
      }

      toggleButtons(); // Initial toggle

      $('.paragraph-locator-checkbox').click(function () {
        toggleButtons(); // Toggle on checkbox click
      });

      // Triggers the confirm popup. 
      $(once('paragraph-locator-checkbox-delete', '#paragraph-locator-checkbox-delete')).click(function () {
        var selectedItemsArray = [];
        var selected = Array.from(document.querySelectorAll('.paragraph-locator-checkbox:checked'));
        selected.forEach(element => {
          var currentItem = {};
          currentItem['value'] = element.getAttribute('value');
          currentItem['parent'] = element.getAttribute('parent');
          selectedItemsArray.push(currentItem);
        })
        var body = '<div>' + Drupal.t('Are you sure you want to delete the selected <b>paragraph(s)</b>? <br><br><b>This action cannot be Undone.</b>') +'</div>'
        var popupTitle = Drupal.t("Please confirm");
        ConfirmPopup(body, popupTitle, selectedItemsArray);
      });
    }
  }
})(jQuery, Drupal, window, document, drupalSettings);
